<?php
// cms/api/preferences/saverates

    header("Content-Type:application/json");
    include("../../../settings/dbconn.php");
    include("../../../settings/utils.php");
    
    // parametros obligatorios
    $parmsob = array("sessionid",'terms','terms_eng');
    if (!parametrosValidos($_POST, $parmsob))
        badEnd("400", array("msg"=>"Parametros obligatorios " . implode(", ", $parmsob)));
    
    //Declaramos e inicializamos nuestras variables
    $out = new stdClass();
    $sessionid = mysqli_real_escape_string($db, $_POST["sessionid"]);
    $terms = mysqli_real_escape_string($db, $_POST["terms"]);
    $termsEng = mysqli_real_escape_string($db, $_POST["terms_eng"]);
    
    //Validamos que la session del usuario sea valida para continuar
    isSessionValidCMS($db, $sessionid);
    
    //Validamos que el usuario tenga privilegios
    if(!tienePrivilegio($db, $sessionid, 56))
        badEnd("403", array("msg"=>"No tiene Privilegios"));
        
    // Actualizamos los terminos
    $sql = "UPDATE cmspreferences SET ".
    '       terms_eng = "'.$termsEng.'", '.
    '       terms = "'.$terms.'" ';
    if (!$db->query($sql))
        badEnd("500", array("msg"=>determinateError($db)));
        
    //auditoria
    setAudit($db, "PREFERENCIAS", $sessionid, "CMS", "Se actualizaron los términos y condiciones");   
    
    $out->id = 1;
    
    header("HTTP/1.1 200");
    echo (json_encode($out));
    die();
?>
